#----------------------------------------------------------------
# Copyright (c) 2002 Benjamin Crowell, all rights reserved.
#
# This software is available under version 2 of the GPL license.
# The software is copyrighted, and you must agree to the
# license in order to have permission to copy it. The full
# text of the license is given in the file titled Copying.
#
#----------------------------------------------------------------

# The interface to this is in Words.pm. You don't ever need to
# access it directly.

package MyWords;


BEGIN {
  sub retrieve {
    my $key = shift;
    return $strings{$key} unless !exists $strings{$key};
    # Can't find the key:
    $key =~ s/^[^\.]+\./en./;   # Is there an English version?
    return $strings{$key} unless !exists $strings{$key};
    return $key;		# Last resort: return the key itself.
  }


%MyWords::strings = (

#--------------------------------------------------
# Generic error messages from the Input module
#--------------------------------------------------
"en.input.blank_not_allowed" => "A blank value is not allowed.",
"en.input.below_min" => "The minimum value is %s.",
"en.input.above_max" => "The maximum value is %s.",
#--------------------------------------------------
# "b." strings are for the GUI browser interface
#--------------------------------------------------
"en.b.authentication.inauthentic" => <<STRING,
The digital watermark is not consistent with this password. This is probably because you
typed the password incorrectly. If you're certain you typed the password correctly, then
the file has been altered by someone (perhaps you, perhaps someone else) who did not
authenticate the alterations using your password; in this situation, you should click
on the View Report button and see what lines were changed. See the documentation for
suggestions on how to handle a case of apparent tampering.
STRING
"en.b.authentication.ok" => "OK",
"en.b.authentication.view_report" => "View Report",
"en.b.roster_options_menu.grade" => "grade",
"en.b.roster_options_menu.overall" => "overall",
"en.b.main_loop.startup_info"
  =>"OpenGrade    (c) 2002 B. Crowell, www.lightandmatter.com/opengrade",
"en.b.refresh_title.program_name"
  =>"OpenGrade",
"en.b.refresh_header.no_file"
  =>"no file open",
"en.b.is_modified.modified" => "modified, and not saved yet",
"en.b.is_modified.not_modified" => "saved",
"en.b.data.close.written" => "The file %s has been saved.",
"en.b.dialog.save_as" => "Save As",
"en.b.dialog.error_opening_for_output" => "There was an error opening the file %s for output.",
"en.b.dialog.save_on_top_of_gb" => "Can't save on top of a gradebook file.",
"en.b.dialog.save" => "Save",
"en.b.dialog.ok" => "OK",
"en.b.dialog.cancel" => "Cancel",
"en.b.dialog.confirm" => "Confirm",
"en.b.dialog.confirm_overwrite" => "The file %s already exists. Overwrite it?",
"en.b.edit_student.title" => "Edit Information for %s",
"en.b.edit_student.id" => "Student ID",
"en.b.edit_student.pwd" => "Password",
"en.b.edit_student.first" => "First Name",
"en.b.edit_student.last" => "Last Name",
"en.b.delete_assignment.confirm" => "Delete %s?",
"en.b.edit_assignment.title" => "Edit Information for %s",
"en.b.edit_assignment.due" => "Due Date (mm-dd)",
"en.b.edit_assignment.name" => "Long Name",
"en.b.edit_assignment.key" => "Short Name",
"en.b.edit_assignment.max" => "Maximum Score",
"en.b.edit_assignment.ignore" => "Ignored",
"en.b.add_or_drop.confirm" => "Drop %s?",
"en.b.add_or_drop.last" => "last name",
"en.b.add_or_drop.first" => "first name",
"en.b.add_or_drop.id" => "id (optional)",
"en.b.add_or_drop.pwd" => "password (optional, defaults to id)",
"en.b.add_or_drop.add_title" => "Add Students",
"en.b.add_or_drop.reinstate_title" => "Reinstate Student",
"en.b.add_or_drop.ok" => "OK",
"en.b.add_or_drop.cancel" => "Cancel",
"en.b.add_or_drop.already_exists" => "%s already exists. You may have dropped this student, in which case you can reinstate her/him.",
"en.b.add_or_drop.add_students_info" => <<STRING,
You can add as many students as you like, filling out the form and
clicking on OK each time.
You'll be alerted if the student already exists, or needs to be
reinstated rather than added.
After adding the last student, click on
OK, and then when the blank form reappears, click on Cancel.
STRING
"en.b.error_message.ok" => "OK",
"en.b.error_message.error" => "Error",
"en.b.menus.file" =>"File",
"en.b.menus.new" =>"New",
"en.b.menus.open" =>"Open...",
"en.b.menus.close"  =>"Close",
"en.b.menus.rekey"  =>"Change Password",
"en.b.menus.save"  =>"Save",
"en.b.menus.quit"  =>"Quit",
"en.b.menus.students" =>"Students",
"en.b.menus.add" =>"Add",
"en.b.menus.reinstate" =>"Reinstate",
"en.b.menus.drop" =>"Drop %s",
"en.b.menus.edit" =>"Edit Information for %s",
"en.b.menus.edit_disabled" =>"Edit Information",
"en.b.menus.assignments" =>"Assignments",
"en.b.menus.new_assignment_blank" =>"New Assignment",
"en.b.menus.new_assignment" =>"New %s",
"en.b.menus.category_weights" =>"Edit Category Weights",
"en.b.menus.new_category" =>"New Category",
"en.b.menus.edit_category_blank" =>"Edit Category Information",
"en.b.menus.edit_category" =>"Edit Information for %s",
"en.b.menus.edit_assignment_blank" =>"Edit Assignment Information",
"en.b.menus.edit_assignment" =>"Edit Information for %s",
"en.b.menus.delete_assignment_blank" =>"Delete Assignment",
"en.b.menus.delete_assignment" =>"Delete %s",
"en.b.menus.report" =>"Reports",
"en.b.menus.sort_by_overall" => "Overall Grade",
"en.b.menus.sort_by_category" => "Average in %s",
"en.b.menus.sort_by_category_blank" => "Average in Category",
"en.b.menus.sort_by_assignment" => "Score on %s",
"en.b.menus.sort_by_assignment_blank" => "Score on Assignment",
"en.b.menus.table" => "Table",
"en.b.menus.roster" => "Roster",
"en.b.menus.statistics" =>"Statistics",
"en.b.menus.upload" =>"Post Grades",
"en.b.menus.server" =>"Server",
"en.b.menus.settings" =>"Client/Server Settings",
"en.b.menus.class_description" =>"Class Description",
"en.b.menus.roster" =>"Roster",
"en.b.menus.list_work" =>"List Work",
"en.b.menus.email" =>"E-Mail List",
"en.b.menus.emailone" =>"E-Mail for One Student",
"en.b.menus.post_message" =>"Post Message",
"en.b.menus.post_message_one" =>"Post Message to One Student",
"en.b.menus.emailonename" =>"E-Mail for %s",
"en.b.menus.post_message_name" =>"Post Message to %s",
"en.b.menus.standards" =>"Grading Standards",
"en.b.menus.student" =>"Student",
"en.b.menus.preferences" =>"Preferences",
"en.b.menus.beep" =>"Beeping",
"en.b.grade_frame.student" => "Student: ",
"en.b.grade_frame.assignment" => "Assignment: ",
"en.b.grade_frame.grade" => "Grade: ",
"en.b.open_file.dlog_title" => "Open Gradebook",
"en.b.open_file.password" => "Password",
"en.b.browser_data.new.password" => "Password",
"en.b.rekey_file.dlog_title" => "Change Password",
"en.b.rekey_file.password" => "New password",
"en.b.new_file.file_name" => "Filename", # Most of the New File stuff is shared with the text UI.
"en.new_file.file_dlog_title" => "New File",
"en.new_file.file_exists" => "The file %s already exists.",
"en.new_file.file_created" => <<STRING,
Your file has been created. You might want to use the File menu now to
set your grading standards, and the Server menu to set yourself up to let students
view their grades on the web. You will also need to use the Assignments menu
to create categories (exams, homework, etc.) and make assignments within those
categories. And of course you have students! You can put in their names using the
Students menu.
STRING
"en.b.edit_category_weights.title" => "Editing Category Weights",
"en.b.edit_category_weights.not_weighted" => "This gradebook has been set up using point-total grading, not weighted grading.",
"en.b.edit_category_weights.no_categories" => "This gradebook doesn't yet have any categories.",
"en.b.edit_category_weights.weight_for" => "Weight for %s",
"en.b.new_assignment.single_assignment_cat_already_has_one" => "This is a single-assignment category, and it already has an assignment in it.",
"en.b.new_assignment.new_assignment_title" => "New %s",
"en.b.new_assignment.name" => "Number or name",
"en.b.new_assignment.max_score" => "Maximum score",
"en.b.new_assignment.due" => "Due date, in mm-dd format (optional)",
"en.b.grades_queue.nonnumeric_title" => "Grade Must Be Numeric",
"en.b.grades_queue.nonnumeric" => <<STRING,
Grades must be numeric.
STRING
"en.b.grades_queue.too_high_title" => "Score Greater Than Maximum",
"en.b.grades_queue.too_high" => <<STRING,
The score of %s for %s on %s is greater than the maximum of %s. 
To confirm this score, hit OK.
To restore this score to its previous value, hit cancel.
To correct this score, enter the corrected value and hit OK. To avoid this
warning in the future, you can enter a greater-than-maximum score with an x on the
end, e.g., 105x.
STRING
"en.b.report.stats_title" => "Class Statistics",
"en.b.report.password" => "Password",
"en.b.report.sort_by_overall.title" => "Report: Overall Grade",
"en.b.report.sort_by_category.title" => "Report: Averages in a Category",
"en.b.report.sort_by_assignment.title" => "Report: Scores on an Assignment",
"en.b.report.sort_by_score" => "Sort by score",
"en.b.report.sort_by_name" => "Sort by name",

"en.b.server.class_description" => "Class Description",
"en.b.server.roster" => "Roster",
"en.b.server.error" => "Error",
"en.b.server.to" => "to",
"en.b.server.do_email" => "send e-mail?",
"en.b.server.subject" => "subject",
"en.b.server.body" => "body",

"en.b.input.yes" => "yes",
"en.b.input.no" => "no",

"en.b.options.ok" => "OK",
"en.b.options.cancel" => "Cancel",
"en.b.options.standards.symbols_title" => "Grade Symbols",
"en.b.options.standards.pct_title" => "Minimum Percentages",
"en.b.options.standards.custom" => "Custom: Enter a series of symbols separated by spaces, in order from highest to lowest. At the end, you must include a grade symbol that is the lowest of all, requiring zero percent to attain.",
"en.b.options.standards.at_least_two" => "You must have at least two grade symbols.",
"en.b.options.standards.too_many" => "Too many grade symbols.",
"en.b.options.standards.not_unique" => "All grade symbols must be unique.",
"en.b.options.standards.not_in_order" => "Percentages must be in descending order, and must not be the same.",

"en.b.options.web.title" => "Client/Server Settings",

"en.b.options.web.server_username" =>
"Please enter the username you'll use on the server.",

"en.b.options.web.server_account" =>
"Please enter account you'll use on the server.",

"en.b.options.web.server" => <<STRING,
Please enter the name of the server, e.g., myserver.edu.
STRING

"en.b.options.web.server_class" => <<STRING,
Please enter the subdirectory for the class, e.g., f2002/205.
STRING

"en.b.options.web.server_key" => <<STRING,
Please enter the server key.
STRING

"en.b.options.web.cgi" =>
"Please enter the location of the cgi-bin on your server.",

"en.b.options.web.subdir" => <<STRING,
Please enter the class's subdirectory, relative to cgi-bin.
This is typically of the form spotter/username/term/course.
STRING

"en.b.options.preferences.beeping" => <<STRING,
Do you want OpenGrade to beep at you?
STRING

"en.main_loop.startup_info"
  =>"OpenGrade    (c) 2002 B. Crowell, www.lightandmatter.com/opengrade",
"en.main_loop.enter_grades_alpha"
  =>"to enter grades on an assignment, in alphabetical order,",
"en.main_loop.enter_grades_1"
  =>"to enter grades on an assignment, selecting one student at a time,",
"en.main_loop.edit"
  =>"to edit the roster or the list of categories,",
"en.main_loop.reports"
  =>"for reports,",
"en.main_loop.save_and_close"
  =>"to save and close this file",
"en.main_loop.close"
  =>"to close this file,",
"en.main_loop.save"
  =>"to save this file",
"en.main_loop.save_not_necessary"
  =>"(not necessary, because it has not been modified)",
"en.main_loop.revert"
  =>"to close this file without saving it,",
"en.main_loop.new"
  =>"to create a new file,",
"en.main_loop.open"
  =>"to open a file,",
"en.main_loop.quit"
  =>"to quit.",
"en.main_loop.save_and_quit"
  =>"to save this file and quit.",
"en.main_loop.user"
  =>"user",
"en.main_loop.date"
  =>"date",
"en.main_loop.main_menu_header"
  =>"Main menu --- enter",
"en.main_loop.writing_file"
  =>"Writing file.",
"en.main_loop.enter_filename_to_open"
  =>"Enter the name of the gradebook file to open.",
"en.main_loop.done"
  =>"Done.",

"en.edit.menu_header"
  =>"Edit menu --- enter",
"en.edit.edit_categories"
  =>"to edit categories,",
"en.edit.edit_students"
  =>"to edit students,",
"en.edit.main_menu"
  =>"- or m to return to the main menu.",

"en.edit_categories.edit_category_dialog_title"=>'Edit Category',

"en.edit_categories.add"
  => "to add a new category,",
"en.edit_categories.edit_menu"
  => "to go back to the edit menu,",
"en.edit_categories.main_menu"
  => "to go back to the main menu.",
"en.edit_categories.category_exists"
  => "That category already exists.",
"en.edit_categories.enter_short_name"
  => <<STRING,
Please enter a short name for the category,
 e.g., e for exams, or hw for homework.
It should contain only lowercase letters from a to z. It will be used
as a column header in table reports.
STRING
"en.edit_categories.enter_singular_noun"
  => <<STRING,
Please enter a singular noun to describe this category. This will
be combined with the names of assignments, e.g., exam+1=exam 1.
STRING
"en.edit_categories.enter_plural_noun"
  => <<STRING,
Please enter a plural form of this noun. This will be used as a header
in reports.
STRING
"en.edit_categories.enter_number_to_drop"
  => <<STRING,
Please enter the number of assignments in this category that will be
dropped, e.g. 2 if you want to ignore the lowest two scores.
STRING

"en.edit_categories.will_it_count" => <<STRING,
If this category will count toward the students' grades, just leave this blank.
If it won't count, enter a period (.)
STRING

"en.edit_categories.b.will_it_count" => <<STRING,
Will this category will count toward the students' grades?
STRING

"en.edit_categories.b.is_it_ignored" => <<STRING,
Will this category be ignored for purposes of computing grades?
STRING

"en.edit_categories.b.is_it_single" => <<STRING,
Will there only be one assignment in this category?
STRING

"en.edit_categories.propagate_ignore" => <<STRING,
Newly created assignments in this category will be ignored in the
calculation of grades. Do you want to ignore all preexisting
assignments as well?
STRING

"en.edit_categories.propagate_not_ignore" => <<STRING,
Newly created assignments in this category will be counted in the
calculation of grades. Do you want to make all preexisting
assignments count as well?
STRING

"en.edit_categories.propagate_max" => <<STRING,
Newly created assignments in this category will have the new value
for the maximum number of points. Do you want to apply this to
preexisting assignments as well?
STRING


"en.edit_categories.enter_max" => <<STRING,
 If every assignment in this category will be worth a different number
 of points, leave this blank. If they will all be worth the same number
 of points, enter that number.
STRING

"en.edit_categories.weight" => 'weight',

"en.edit_categories.enter_weight" => <<STRING,
 If you want to use point-total grading for this class, leave this
 blank. Otherwise, enter the weight for this category.
STRING

"en.edit_categories.gimme_weight" => <<STRING,
 Weight for this category.
STRING

"en.edit_categories.add_title" => "New Category",

"en.edit_categories.confirm_add" =>
 "Add this category?",

"en.add_assignment.where_to_insert" => "Error, couldn't find where to insert assignment.",
"en.add_assignment.exists" => "Error, assignment %s already exists.",

#-----------------------------------------------------
# edit_students
#-----------------------------------------------------

"en.edit_students.menu_header" =>
 "Edit menu --- enter",

"en.edit_students.add" =>
 "to add students",

"en.edit_students.drop" =>
 "to drop a students",

"en.edit_students.reinstate" =>
 "to reinstate a student whom you previously dropped",

"en.edit_students.exit" =>
 "to return to the edit menu",

"en.edit_students.main" =>
 "to return to the main menu",

"en.edit_students.last_name" =>
 "Last name, or return to quit",

"en.edit_students.first_name" =>
 "First name",

"en.edit_students.student_id" =>
  "Student ID",

"en.edit_students.password" =>
  "Password",

"en.edit_students.added" =>
 "Added %s %s.",

"en.edit_students.dropped" =>
 "Dropped %s. This student can be reinstated later.",

"en.edit_students.reinstated" =>
 "Reinstated %s.",

#-----------------------------------------------------
# new_file
#-----------------------------------------------------
"en.new_file.title" =>
 "Please enter a description of the class, to appear at the top of reports.",


"en.new_file.staff" => <<STRING,
Please enter a list, separated by commas, of the usernames of all the
people who will be editing this file. If you will be the only person editing
this file, then you can just hit return to accept the default username supplied
below.
STRING

"en.new_file.staff_gui" => <<STRING,
Please enter a list, separated by commas, of the usernames of all the
people who will be editing this file. If you are using a system that doesn't
have usernames, you can leave this blank.
STRING

"en.new_file.password" => <<STRING,
Please enter a password that you will use for authentication. You will need
to enter this password whenever you open this file. The password can be blank
if you don't want to remember a real one.
STRING

"en.new_file.lame_system" => <<STRING,
 Since your system doesn't seem to support usernames, it doesn't really
 matter what naming convention you pick, as long as it's easy for you and
 your co-instructors to remember.
STRING

"en.new_file.cool_system" => <<STRING,
 Your system seems to support usernames, so it will be most convenient if
 you use the ones it supplies, rather than making up new ones. That way you
 will simply be recognized automatically when you start the software
STRING

"en.new_file.days_of_week" => <<STRING,
Please enter the days of the week on which the class meets, using R for
Thursday, and U for Sunday. Supplying accurate information here will make it
quicker for you to enter due dates. If the class doesn't meet on definite days
of the week, just hit return to accept the default, which is MTWRF.
STRING

"en.new_file.illegal_day_of_week" =>
 "Please use only the letters M, T, W, R, F, S, and U.",

"en.new_file.year" =>
"Please enter the calendar year during which the term started.",

"en.new_file.month" =>
"Please enter the number of the month (1-12) in which the term started.",

"en.new_file.standards_header" => <<STRING,
Grading standards: If you don't want to set grading standards right now,
just hit return. The lowest letter grade in your grading system, typically
F, needs to be entered explicitly, with a minimum percentage of zero.
STRING

"en.new_file.letter_grade" =>
 "Enter a letter grade, or hit return if you're done.",

"en.new_file.min_percentage" =>
"Enter the minimum percentage required for this grade.",

"en.new_file.illegal_percentage" =>
 "Please enter a numerical value from 0 to 100.",

"en.new_file.web_reports_header" => <<STRING,
The following questions relate to posting grades on the web. You can leave
these blank if you won't be using this feature.
STRING

"en.new_file.ftp_username" =>
"Please enter the FTP username you'll use for uploading web reports.",

"en.new_file.ftp_server" => <<STRING,
Please enter the name of the FTP server to which you'll
upload web reports, e.g., myserver.edu.
STRING

"en.new_file.cgi" =>
"Please enter the location of the cgi-bin on your server.",

"en.new_file.subdir" => <<STRING,
Please enter the subdirectory for web reports, relative to cgi-bin. This directory should exist before you upload grades.
STRING

"en.new_file.file_name" =>
"Please enter the name of the file to create.",

"en.new_file.already_exists" =>
 "The file %s already exists. Overwrite it?",

"en.new_file.created" => <<STRING,
Your new gradebook has been created. You will probably want to choose 'e'
from the main menu to input your assignment categories and the names of the
students, and then 's' to save the file.
STRING

#-----------------------------------------------------
# open_gb
#-----------------------------------------------------
"en.open_gb.password"=>"Enter password",
#-----------------------------------------------------
# view_a_report
#-----------------------------------------------------

"en.view_a_report.menu_header" =>
"Reports menu --- enter",

"en.view_a_report.totals" =>
"to view class totals",

"en.view_a_report.one_student" =>
"to view a report for one student",

"en.view_a_report.web" =>
"to create web reports",

"en.view_a_report.stats" =>
"to see statistics",

"en.view_a_report.connection" =>
"Please make sure you have an active internet connection.",

"en.view_a_report.server" => "server",
"en.view_a_report.cgi_bin" => "cgi_bin",
"en.view_a_report.dir" => "dir",
"en.view_a_report.backup" => "backup",
"en.view_a_report.yes" => "yes",
"en.view_a_report.no" => "no",
"en.view_a_report.username" => "username",

"en.view_a_report.password" =>
"Enter ftp password for %s",

"en.view_a_report.success" =>
"All files were uploaded successfully.",

#-----------------------------------------------------
# choose_student
#-----------------------------------------------------
"en.choose_student.prompt" =>
 "Enter the beginning of the student's last name",
"en.choose_student.none_begin_with" =>
 "No students have last names beginning with",

#-----------------------------------------------------
# choose_assignment
#-----------------------------------------------------
"en.choose_assignment.prompt" =>
 "Enter the short name of the assignment.",
"en.choose_assignment.create_new" =>
 "Create new assignment",

#-----------------------------------------------------
# choose_category
#-----------------------------------------------------
"en.choose_category.prompt" =>
 "Enter the beginning of the category's name",
"en.choose_category.none_begin_with" =>
 "No categories have names beginning with",

#-----------------------------------------------------
# grade_an_assignment
#-----------------------------------------------------
"en.grade_an_assignment.no_cats" =>
"You must create categories first.",

"en.grade_an_assignment.header" =>
"Entering grades for an assignment:",

"en.grade_an_assignment.no_such_cat" =>
"No such category",

"en.grade_an_assignment.where_to_put_it" => <<STRING,
 To add this new assignment to the end of the list of
 assignments for this category, type return. If you don't want to create
 it, type a period (.). If you want to add it before the end of the list, enter
 the beginning of the name of the assignment before which you want to insert it.
STRING

"en.grade_an_assignment.action_canceled" =>
"Action canceled.",

"en.grade_an_assignment.maximum_score" =>
 "maximum score",

"en.grade_an_assignment.max_help" =>
"The maximum score possible.",

"en.grade_an_assignment.due_date" =>
 "due date, in mm-dd format (optional)",

"en.grade_an_assignment.due_date_help" =>
"The date when the assignment is due.",

"en.grade_an_assignment.max_is" =>
 "The maximum score is %s.",

"en.grade_an_assignment.how_to_enter_scores" => <<STRING,
Enter a grade for each student, or press return to leave it as it is.
Type q to quit before the end of the list, c to cancel, up arrow
to back up to the previous student, and b to change a preexisting
 grade to a blank.
STRING

"en.grade_an_assignment.how_to_enter_one" => <<STRING,
 When you're done entering grades, hit return instead of selecting a student.
 That is greater than the maximum score for this assignment.
 Hit return to confirm this score, or enter another value.
 Type x to leave this score unchanged.
STRING

#-----------------------------------------------------
# enter_one_grade
#-----------------------------------------------------

"en.enter_one_grade.too_high" => <<STRING,
That is greater than the maximum score for this assignment.
Hit return to confirm this score, or enter another value.
Type x to leave this score unchanged.
STRING

"en.enter_one_grade.invalid_input" =>
 "Invalid input.",



);

}

1;

